#        ogr gGetDiskType path_device
local DEV MAJOR TYPE

# Obtener el driver del dispositivo de bloques.
[ -b "$1" ] || ogr RaiseError $OG_ERR_FORMAT || return $?
DEV=${1#/dev/}
MAJOR=$(awk -v D="$DEV" '{if ($4==D) print $1;}' /proc/partitions)
